<?xml version="1.0" encoding="utf-8"?>
<vbox name="BanListMgr" bkgrd-color="#SettingView.BodyColor" bkgrd-skin="0" recalc-size="1">
  <vbox name="MainBody" top="1">
    <hbox name="TabBox"  height="29"  bkgrd-image="public\image\ban_tab_bak.png"
								  bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
								  bkgrd-stretch-zone="0,29,0,-29">
      <hbox name="TabCtrlBox"  bkgrd-color="#TabBkgColor" height="29" width="248">
        <obj class="TabCtrl" name="TabList"  font-color="#StandardFontColor" item-space="1"/>
      </hbox>
      <spacer  name="LineX" bkgrd-color="#DataGrid.VLineColor" width="1" top="8" bottom="-8"/>
      <spacer  name="LineY" bkgrd-color="#DataGrid.VLineColor" width="1" hidden="1"/>
    </hbox>
    <vbox width="396" left="24" top="3" name="BanIDPage" >
      <hbox height="24" name="BanIDBox" top="10">
        <vbox name="v1" height="24"  border="#TextInputBorderColor" width="306">
          <obj class="Edit" name="EditID" left="2" top="2" right="-2" bottom="-2" />
        </vbox>
        <spacer width="10"/>
        <obj class="Button" name="BtnBanID" width="44"
               style="BS_ICON" font-color="#FontColorAdaptor"
               image="#DefaultButtonFile" tstringid ="30097" take-tooltip ="1"
               icon="public\image\block_icon.png@16x16"  align-style="center"
               bkgrd-stretch-mode ="DIF_ALPHATRANSPARENT"
               icon-index="0"
               />
      </hbox>
      <spacer  name="LineZ" bkgrd-color="#BanListMgr.LineZ-bkgrd-color" height="1" top ="12"/>
      <hbox height="24" top="12">
        <obj  name="TreeSearchArea"  width="232"/>
        <spacer flex="1" />
      </hbox>
      <vbox name="xxx" border="#TextInputBorderColor" height="200" top="8" >
        <vbox name="ListHeadArea"
              bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
              bkgrd-stretch-zone="1,1,-1,1"
              bkgrd-image="public\image\bkg_1.png" height="28"
              left="2" top="2" right="-2"
            >
          <hbox  >
            <spacer width="6"/>
            <obj class="Picture" name="BtnCheck" height="14" width="14" top="6"
                   bkgrd-image="public\image\BaseCheckbox2.png"
                   bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                   bkgrd-skin="0"/>
            <spacer width="8"/>
            <spacer  name="Line" bkgrd-color="#ListView.HeadBorderColor" width="1"/>
            <obj class="Static" name="StaticNick"     width="140" stringid="20088" top="8" left="5"/>
            <spacer  name="Line1" bkgrd-color="#ListView.HeadBorderColor" width="1"/>
            <obj class="Static" name="StaticAccount"   stringid="20050" top="8" left="5"/>
          </hbox>
        </vbox>
        <obj class="Tree" name="ChannelMemberTree" vscroll="#Scrollbar.vscroll" flex="1"
                 vscroll-iconset="#Scrollbar.vscroll-iconset"   take-notify-tooltip="1"
                  left="2"  right="-2"
           />
        <spacer height="2" />
      </vbox>
      <hbox  top="5" right="-15" bottom="-15">
        <obj class="Button" name="BtnIdSelAll" style="BS_CHECKBOX" height="16" calc-size="1,0" min-max-size="22,0" padding-rect="22,0,0,0"  stringid="30095" top="3" hidden="1"/>
        <spacer width="10" />
        <obj class="Button" name="BtnIdDelSel"  height="24" calc-size="1,0" min-max-size="22,0" padding-rect="22,0,0,0"  stringid="20184" hidden="1"/>
        <spacer flex="1" />
        <obj class="Static" name="xxx4" height="24" stringid="20103" calc-size="1,0" min-max-size="22,0" top="3"/>
      </hbox>
    </vbox>
    <vbox width="396" left="24" top="13" name="BanIPPage" hidden="1" bottom="-128">
      <vbox name="xxxx" border="#TextInputBorderColor" height="200" top="5" >
        <vbox name="ListHeadArea1"
            bkgrd-stretch-mode="DIF_TRANSPARENT | DIF_STRETCH"
            bkgrd-stretch-zone="1,1,-1,1"
            bkgrd-image="public\image\bkg_1.png" height="28"
            left="2" top="2" right="-2"
            >
          <hbox>
            <spacer width="6"/>
            <obj class="Picture" name="BtnCheck1" height="14" width="14" top="6"
                   bkgrd-image="public\image\BaseCheckbox2.png"
                   bkgrd-stretch-mode="DIF_ALPHATRANSPARENT"
                   bkgrd-skin="0"/>
            <spacer width="8"/>
            <spacer  name="Line2" bkgrd-color="#DataGrid.VLineColor" width="1"/>
            <obj class="Static" name="StaticIP"  stringid="20216" top="8" left="5"/>
          </hbox>
        </vbox>
        <obj class="Tree" name="BanIpTree" vscroll="#Scrollbar.vscroll" flex="1"
             vscroll-iconset="#Scrollbar.vscroll-iconset"   take-notify-tooltip="1"
              left="2"  right="-2"
           />
        <spacer height="2" />
      </vbox>
      <hbox  top="5" right="-15" bottom="-15">
        <obj class="Button" name="BtnIpSelAll" style="BS_CHECKBOX" height="16" calc-size="1,0" min-max-size="22,0" padding-rect="22,0,0,0"  stringid="30095" top="3" hidden="1"/>
        <spacer width="10" />
        <obj class="Button" name="BtnIpDelSel"  height="24" calc-size="1,0" min-max-size="22,0" padding-rect="22,0,0,0"  stringid="20184" hidden="1"/>
        <spacer flex="1" />
        <obj class="Static" name="xxx5" height="24" stringid="20103" calc-size="1,0" min-max-size="22,0" top="3"/>
      </hbox>
    </vbox>
  </vbox>
</vbox>
